<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<!-- 				@author david.cifuentes  					-->
<!-- Datos referentes a la muestra del registro de un convenio. -->


<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:p="http://primefaces.org/ui">

    <h:panelGrid id="datosConvenioActualizacionMuestra">
        <h:panelGrid columns="3" cellspacing="3" cellpadding="3">

            <h:panelGrid columns="2">
                <h:outputLabel value="Tipo de proyecto:"
                               styleClass="outputLabelStyle" />
                <h:outputText id="tipoProyectoCBMuestra"
                              value="#{registrarConvenio.convenioSeleccionado.tipoProyecto}" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Zona:" styleClass="outputLabelStyle" />
                <h:outputText id="zonaCBMuestra"
                              value="#{registrarConvenio.convenioSeleccionado.zona}" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="No. de convenio IGAC:"
                               styleClass="outputLabelStyle" />
                <h:outputText id="convenioIGACCBMuestra"
                              value="#{registrarConvenio.convenioSeleccionado.numero}" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Clase de convenio:"
                               styleClass="outputLabelStyle" />
                <h:outputText id="claseConvenioMuestra"
                              value="#{registrarConvenio.convenioSeleccionado.clase}" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Valor: " styleClass="outputLabelStyle" />
                <h:panelGrid columns="2" cellspacing="0" cellpadding="0">
                    <h:outputText value="$"/>
                    <h:outputText id="valorMuestra"
                                  value="#{registrarConvenio.convenioSeleccionado.valor}" >
                        <f:convertNumber type="number" maxFractionDigits="0" />
                    </h:outputText>
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Objeto: " styleClass="outputLabelStyle" />
                <h:outputText id="objetoMuestra"
                              value="#{registrarConvenio.convenioSeleccionado.objeto}" />
            </h:panelGrid>


            <h:panelGrid columns="2">
                <h:outputLabel value="Plazo de ejecución: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{registrarConvenio.convenioSeleccionado.plazoEjecucion}">
                    <f:convertDateTime pattern="dd/MM/yyyy" />
                </h:outputText>
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Año de actualización: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{registrarConvenio.actualizacion.anio}">
                    <f:convertDateTime pattern="yyyy" />
                </h:outputText>
            </h:panelGrid>
        </h:panelGrid>
    </h:panelGrid>

    <p:fieldset>
        <legend> <h:outputLabel value="Entidades"
                                styleClass="legendTitle" /> 
        </legend>

        <h:panelGrid columns="1" cellspacing="5" width="100%"
                     id="panelTablaEntidadesContratantesMuestra">

            <p:dataTable id="tablaEntidadesContratantesMuestra" var="convenioEntidad"
                         value="#{registrarConvenio.convenioSeleccionado.convenioEntidads}" 
                         rowKey="#{convenioEntidad.nit}"
                         emptyMessage="No existen entidades contratantes a mostrar">

                <p:column headerText="Entidad" style="width:125px">
                    <h:outputText
                        value="#{convenioEntidad.nombre}" />
                </p:column>

                <p:column headerText="NIT" style="width:125px">
                    <h:outputText value="#{convenioEntidad.nit}" />
                </p:column>

                <p:column headerText="Porcentaje de participación"
                          style="width:125px">					
                    <h:outputText
                        value="#{convenioEntidad.porcentajeParticipacion}">
                        <f:convertNumber type="number" maxIntegerDigits="3" maxFractionDigits="3" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Monto" style="width:125px">
                    <h:outputText value="$" />
                    <h:outputText value="#{convenioEntidad.monto}">
                        <f:convertNumber type="number" maxFractionDigits="0" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Convenio No." style="width:125px">
                    <h:outputText
                        value="#{convenioEntidad.numeroConvenio}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>
    </p:fieldset>
</h:panelGrid>